If you’re running Windows 7, Vista, or XP — or Server 2003, 2008 or 2008 R2 — you need to get patched now. No, there aren’t any known BlueKeep exploits. But you don’t want to get caught with that ol’ “Kick me” sign stuck to your back. Tell  your friends. It’s also time to let […]

from AskWoody https://www.askwoody.com/2019/ms-defcon-4-its-time-to-get-the-may-2019-windows-and-office-patches-installed/

Categories: Computer Help

Leave a Reply

Your email address will not be published. Required fields are marked *